> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all your time off!



## OpenAPI

````yaml get /v1/users/time-off
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/users/time-off:
    get:
      tags:
        - Users
      summary: Get all your time off!
      operationId: UsersTimeOffActionController_getTimeOff
      parameters:
        - name: page
          required: false
          in: query
          description: The page number to fetch time offs by
          schema:
            minimum: 1
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: The limit number of time offs to fetch
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllTimeOffsResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    GetAllTimeOffsResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The time offs fetched
          type: array
          items:
            $ref: '#/components/schemas/TimeOffResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    TimeOffResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The id of the time off
        startDate:
          type: string
          description: The start date of the time off in Zulu time
        endDate:
          type: string
          description: The end date of the time off in Zulu time
        description:
          type: string
          description: The description of the time off
        type:
          type: string
          description: The type of the time off
      required:
        - id
        - startDate
        - endDate
        - description
        - type
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````